IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_153_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_153_check]
GO

-- 生成时间:2018-06-27 14:12:35 by ebs-core  
CREATE  procedure order_153_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_153 where ord_id=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 /*验证启动会开始时间是否小于结束时间*/
if exists (select 1 from #master where ord_ksdate > ord_jssj)
begin
    set @operation ='abort'
    set @errorinfo ='启动会开始时间不能大于结束时间！'
end

/*验证启动会报名开始时间是否小于结束时间*/
if exists (select 1 from #master where ord_bmkssj > ord_bmjssj)
begin
    set @operation ='abort'
    set @errorinfo ='启动会报名开始时间不能大于结束时间！'
end

/*验证启动会开始时间是否大于启动会报名结束时间(先报名，再开会)*/
if exists (select 1 from #master where ord_bmjssj > ord_ksdate)
begin
    set @operation = 'abort'
    set @errorinfo = '启动会报名时间不能大于启动会开始时间！'
end


 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

exec drop_temp_table '#master' 

set nocount off 
end